; INF File for Monster Sound Audio Utilities
; CopyRight 1997, Diamond Multimedia

[DestinationDirs]
Util_CopyFiles=M-Sound\Utils
Util_DelFiles_Win=10

[SourceDisksNames]
1="Monster Sound Utilities",,1

[SourceDisksFiles]
ascommon.dll=1,,60416
ascontrl.dll=1,,375296
aseffect.dll=1,,75776
asgrphic.dll=1,,372224
Ashelp.cnt=1,,695
Ashelp.hlp=1,,305748
asmiddrv.dll=1,,27136
asmixctl.dll=1,,51200
asobject.dll=1,,72704
asqsound.dll=1,,35328
asstereo.exe=1,,97792
aswvedit.exe=1,,177152
License.txt=1,,5109
ms_entry.dll=1,,24576
Relnotes.txt=1,,363
Solomix.exe=1,,26624
solotray.exe=1,,24064

[Optional Components]
Audio Utilities

[Audio Utilities]
OptionDesc=Audio Utilities
Tip=%AudioUtil%
CopyFiles=Util_CopyFiles
Uninstall=Util_CopyFiles, Util_DelFiles_Win
AddReg=Util_AddReg
UpdateInis=Util_UpdateInis
ProgramGroups=Util_Group
Dependency=1

[Util_CopyFiles]
ascommon.dll
ascontrl.dll
aseffect.dll
asgrphic.dll
Ashelp.cnt
Ashelp.hlp
asmiddrv.dll
asmixctl.dll
asobject.dll
asqsound.dll
asstereo.exe
aswvedit.exe
License.txt
ms_entry.dll
Relnotes.txt
Solomix.exe
solotray.exe

[Util_DelFiles_Win]
asprofil.ini
cdplayer.ini

[Util_AddReg]
HKLM,SOFTWARE\Classes\AudioCD\shell\play\command,,,@p\M-Sound\Utils\ASSTEREO.EXE -p,1
HKLM,SOFTWARE\Classes\.rmi,,,MWorks.MID,1
HKLM,SOFTWARE\Classes\.mid,,,MWorks.MID,1
HKLM,SOFTWARE\Classes\SoundRec\shell\open\command,,,@p\M-Sound\UTILS\ASSTEREO.EXE """%1""",1
HKLM,SOFTWARE\Classes\SoundRec\shell\play\command,,,@p\M-Sound\UTILS\ASSTEREO.EXE """%1""",1
HKLM,SOFTWARE\Classes\MWorks.File
HKLM,SOFTWARE\Classes\MWorks.File,,,Wave File
HKLM,SOFTWARE\Classes\MWorks.File\shell\open\command,,,@p\M-Sound\UTILS\ASSTEREO.EXE """%1"""
HKLM,SOFTWARE\Classes\MWorks.MID
HKLM,SOFTWARE\Classes\MWorks.MID,,,MIDI File
HKLM,SOFTWARE\Classes\MWorks.MID\shell\open\command,,,@p\M-Sound\UTILS\ASSTEREO.EXE """%1"""
HKLM,SOFTWARE\Classes\cdafile\Shell\Play\Command,,,@p\M-Sound\UTILS\ASSTEREO.EXE -p,1
HKLM,SOFTWARE\Microsoft\Windows\Help,ASHELP.HLP,,@p\M-Sound\Utils

[Util_Group]
DIAMOND\Monster Sound,Monster Works Help,@p\M-Sound\Utils\Ashelp.hlp, ,@p\M-Sound\Utils,%10%\winhelp.exe,0
DIAMOND\Monster Sound,Monster Works Mixer,@p\M-Sound\Utils\Solomix.exe, ,@p\M-Sound\Utils\,@p\M-Sound\Utils\Solomix.exe,0
DIAMOND\Monster Sound,Monster Works Rack,@p\M-Sound\Utils\asstereo.exe, ,@p\M-Sound\Utils\,@p\M-Sound\Utils\asstereo.exe,0
DIAMOND\Monster Sound,Monster Works Wave Editor,@p\M-Sound\Utils\aswvedit.exe, ,@p\M-Sound\Utils\,@p\M-Sound\Utils\aswvedit.exe,0


[Util_UpdateInis]
asprofil.ini,Mixer, ,"MixerType=MSMIXMGR"
asprofil.ini,Mixer, ,"OutputChannels=Normal"
asprofil.ini,Mixer, ,"MidiOut=1"
asprofil.ini,Mixer, ,"UseMixer=0"
asprofil.ini,Mixer, ,"WaveLevel=46420,46420"
asprofil.ini,Mixer, ,"MidiLevel=40420,40420"
asprofil.ini,Mixer, ,"Midi1Level=48000,48000"
asprofil.ini,Mixer, ,"AuxLevel=46420,46420"
asprofil.ini,Mixer, ,"MasterLevel=46420,46420"
asprofil.ini,Mixer, ,"MasterMute=Off"
asprofil.ini,Ole, ,"RegisterWave=no"
asprofil.ini,Ole, ,"RegisterMidi=no"
asprofil.ini,Ole, ,"RegisterCD=no"
asprofil.ini,Ole, ,"RegisterOle=yes"
asprofil.ini,Wave, ,"Channels=1"
asprofil.ini,Wave, ,"SamplesPerSec=11025"
asprofil.ini,Wave, ,"BitsPerSample=8"
asprofil.ini,Wave, ,"SamplerVariable=yes"
asprofil.ini,Wave, ,"UserFormat=Radio Quality"
asprofil.ini,Wave, ,"SamplerMin=5000"
asprofil.ini,Wave, ,"SamplerMax=44100"
asprofil.ini,WaveEditor, ,"OnTop=No"
asprofil.ini,WaveEditor, ,"DrawMode=Envelope"
asprofil.ini,WaveEditor, ,"ZeroCrossing=Real"
asprofil.ini,WaveEditor, ,"AmplitudeScale=1"
asprofil.ini,WaveEditor, ,"TimeFormat=Time"
asprofil.ini,WaveEditor, ,"TopToolBar=Yes"
asprofil.ini,Stereo, ,"WaveLoop=off"
asprofil.ini,Stereo, ,"MidiLoop=off"
asprofil.ini,Stereo, ,"CDLoop=on"
asprofil.ini,Stereo, ,"MidiInputDevice=0"
asprofil.ini,Stereo, ,"MidiOutputDevice=2"
asprofil.ini,Stereo, ,"MidiEditor=StudioRecordingSession"
asprofil.ini,CD, ,"ExitPlaying=no"
asprofil.ini,CD, ,"CDProtocol=close"
asprofil.ini,Setup, ,TempDir"="%10%\TEMP
asprofil.ini,Setup, ,StereoLastRunFrom"="@p\M-Sound\UTILS\ASSTEREO.EXE
asprofil.ini,Setup, ,WaveLastRunFrom"="@p\M-Sound\ASWVEDIT.EXE
asprofil.ini,Setup, ,PlayerLastRunFrom"="@p\M-Sound\UTILS\ASPLAYER.EXE
asprofil.ini,Setup, ,RunStereo"="@p\M-Sound\ASSTEREO.EXE
asprofil.ini,Setup, ,RunPlayer"="@p\M-Sound\ASPLAYER.EXE
asprofil.ini,Setup, ,RunWaveEditor"="@p\M-Sound\ASWVEDIT.EXE
asprofil.ini,Setup, ,RunMixer"="@p\M-Sound\SOLOMIX.EXE


[Strings]
AudioUtil="Audio Utilities :\nCD Player, MIDI Player, Wave Player, System Mixer, Alarm Clock"

[Strings.ger]
AudioUtil="Audio-Dienstprogramme :\nCD Player, MIDI Player, Wave Player, System Mixer, Alarm Clock"

[Strings.fra]
AudioUtil="Utilitaires audio :\nCD Player, MIDI Player, Wave Player, System Mixer, Alarm Clock"

[Strings.ita]
AudioUtil="Utility audio: \nLettore CD, Riproduzione MIDI, Riproduzione wave, System Mixer, Sveglia"

[Strings.spa]
AudioUtil="Utilidades de sonido:\nReproductor de CD, Reproductor MIDI, Reproductor de ondas, Mezclador del sistema, Alarma"
